Name:           microsoft-cleartype-fonts
Version:        7.00
Release:        1.1
Group:          System/X11/Fonts
Summary:        Microsoft ClearType font family
Source1:	calibri.tar.xz
Source2:	cambria.tar.xz
Source3:	candara.tar.xz
Source4:	consolas.tar.xz
Source5:	constantia.tar.xz
Source6:	corbel.tar.xz
License:        Microsoft

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:	xz
Requires:	microsoft-calibri-fonts
Requires:	microsoft-cambria-fonts
Requires:	microsoft-candara-fonts
Requires:	microsoft-consolas-fonts
Requires:	microsoft-constantia-fonts
Requires:	microsoft-corbel-fonts
%reconfigure_fonts_prereq

%description

%package -n microsoft-calibri-fonts
Summary:	The "Calibri" font family
Version:	6.23

%description -n microsoft-calibri-fonts

%package -n microsoft-cambria-fonts
Summary:	The "Cambria" font family
Version:	6.98

%description -n microsoft-cambria-fonts

%package -n microsoft-candara-fonts
Summary:	The "Candara" font family
Version:	5.63

%description -n microsoft-candara-fonts

%package -n microsoft-consolas-fonts
Summary:	The "Consolas" font family
Version:	7.00

%description -n microsoft-consolas-fonts

%package -n microsoft-constantia-fonts
Summary:	The "Constantia" font family
Version:	5.93

%description -n microsoft-constantia-fonts

%package -n microsoft-corbel-fonts
Summary:	The "Corbel" font family
Version:	6.01

%description -n microsoft-corbel-fonts

%prep

%build

%install
echo "This is a metapackge for the ClearType family" >README
c="%buildroot/%_ttfontsdir"
mkdir -p "$c"
for i in "%_sourcedir"/*.tar.xz; do
	tar --use=xz -C "$c" -xf "$i"
done

%reconfigure_fonts_scriptlets -n microsoft-calibri-fonts
%reconfigure_fonts_scriptlets -n microsoft-cambria-fonts
%reconfigure_fonts_scriptlets -n microsoft-candara-fonts
%reconfigure_fonts_scriptlets -n microsoft-consolas-fonts
%reconfigure_fonts_scriptlets -n microsoft-constantia-fonts
%reconfigure_fonts_scriptlets -n microsoft-corbel-fonts

%files
%doc README

%files -n microsoft-calibri-fonts
%dir %_ttfontsdir
%_ttfontsdir/calibri*.ttf

%files -n microsoft-cambria-fonts
%dir %_ttfontsdir
%_ttfontsdir/cambria*

%files -n microsoft-candara-fonts
%dir %_ttfontsdir
%_ttfontsdir/candar*.ttf

%files -n microsoft-consolas-fonts
%dir %_ttfontsdir
%_ttfontsdir/consol*.ttf

%files -n microsoft-constantia-fonts
%dir %_ttfontsdir
%_ttfontsdir/constan*.ttf

%files -n microsoft-corbel-fonts
%dir %_ttfontsdir
%_ttfontsdir/corbel*.ttf

%changelog
